### Method

# Foundry TextDocument dup_buffer

#### Declaration [src]

    FoundryTextBuffer*
    foundry_text_document_dup_buffer (
      FoundryTextDocument* self
    )

#### Description [src]

Gets the underlying `FoundryTextBuffer`.

#### Return value

Type: `FoundryTextBuffer`

A `FoundryTextBuffer`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.